Query Wallet History
Returns wallet transaction history for futures wallets.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| wallet | String | No | Wallet identifier (CROSS@ or ISOLATED@BTC-PERP-USDT). Omit to return all wallets |
| startTime | Long | No | Start time in milliseconds |
| endTime | Long | No | End time in milliseconds |
| count | Integer | No | Number of records to return |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| currency | String | Currency |
| amount | Double | Transaction amount |
| fees | Double | Fees charged |
| orderId | String | Internal wallet order ID |
| wallet | String | CROSS@ or ISOLATED@ |
| description | String | Transaction description |
| status | Integer | 1: PENDING Β· 2: PROCESSING Β· 10: COMPLETED Β· 16: CANCELLED |
| type | Integer | 105: Wallet Transfer Β· 106: Liquidation Β· 108: Realized PnL Β· 110: Funding Β· 121: Asset Conversion |
example
GET
https://api.btse.com/futures/api/v2.3/user/wallet_historyResponse
[]